Skip to content

Create price list row for an employment

Request

Security
OAuth2Sandbox
Path
employeeIdstringrequired

ID of the employee.

employmentIdstringrequired

ID of the employment.

Bodyapplication/jsonrequired
salary_category_idinteger, >= 1required

ID of the salary category associated with this row.

Example:1
descriptionobject

Localized description of the price list row.

Supports currently only "fi", which is used for all languages.

Example:
{ "fi": "Peruspalkka" }
amountstringrequired

Amount of the price list row.

Example:"3500.00000"
start_datestring, (date)

Start date of the price list row.

Example:"2025-01-01"
end_datestring or null, (date)

End date of the price list row, or null if ongoing.

Example:null
daily_allowance_codesArray of strings

Daily allowance codes associated with this price list row.

Items Enum:"meal_allowance""partial_daily_allowance""full_daily_allowance""foreign_daily_allowance""foreign_work_tax_free_compensations"
Example:
[ "meal_allowance" ]
dimension_idsArray of integers

IDs of dimensions associated with this price list row.

Example:
[ 1, 2 ]
curl -i -X POST \
  'https://api.<slug>.isv-test.fennoa.com/v2/payroll/employees/{employeeId}/employments/{employmentId}/price-list-rows' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "salary_category_id": 1,
    "description": {
      "fi": "Peruspalkka"
    },
    "amount": "3500.00000",
    "start_date": "2025-01-01",
    "end_date": null,
    "daily_allowance_codes": [
      "meal_allowance"
    ],
    "dimension_ids": [
      1,
      2
    ]
  }'

Responses

A payroll employment price list row.

Bodyapplication/json
dataobject(PriceListRow)
Response
{ "data": { "id": 1, "salary_category_id": 1, "description": { … }, "amount": "3500.00000", "start_date": "2026-01-01", "end_date": "2026-12-31", "daily_allowance_codes": [ … ], "dimension_ids": [ … ] } }